# Bitcoin Suisse API The Bitcoin Suisse API allows customers of Bitcoin Suisse to automate activities like trading, custody, staking and reporting using their own tools. Have a look at the [Developer Portal](https://docs.bitcoinsuisse.com/) to find out how to get an API key and how authentication works. Version: 1.5.0 License: Copyright © Bitcoin Suisse AG - 2026 ## Servers Bitcoin Suisse API ``` https://api.bitcoinsuisse.com ``` Bitcoin Suisse Sandbox API ``` https://sandbox-api.btcsqa.net ``` ## Security ### api-key 'BTCS' followed by your Bitcoin Suisse API key (with a space in between). Example: 'BTCS your-api-key-here' Type: apiKey In: header Name: X-Auth ### nonce Random string with a length of exactly 20 chars. Only alphanumeric characters allowed. Must be unique for each request. Type: apiKey In: header Name: X-Auth-Nonce ### timestamp Current timestamp in ISO8601 format. Example: '2021-03-26 11:33:52.9100000 +00:00' Type: apiKey In: header Name: X-Auth-Timestamp ### version The API key version. Currently 'v1' should be used. Type: apiKey In: header Name: X-Auth-Version ### signature Signature to verify that the content of the request (including headers) has not been changed. Calculated using your API secret. Type: apiKey In: header Name: X-Auth-Signature ## Download OpenAPI description [Bitcoin Suisse API](https://splendid-zebra-99.redocly.app/_bundle/api/pages/rest/BitcoinSuisseOpenApi.yaml) ## Customers ### List Customers - [GET /auth/api/v1/Customers](https://splendid-zebra-99.redocly.app/api/pages/rest/bitcoinsuisseopenapi/customers/listcustomers.md): Get all customers that can be accessed by your API key ## Accounts ### List Accounts - [GET /custody/v1/Accounts](https://splendid-zebra-99.redocly.app/api/pages/rest/bitcoinsuisseopenapi/accounts/listaccounts.md): List all accounts of the customer selected using the customer-number header ### Get Account - [GET /custody/v1/Accounts/{accountId}](https://splendid-zebra-99.redocly.app/api/pages/rest/bitcoinsuisseopenapi/accounts/getaccountbyid.md): Get a single account by its account ID ### List Onchain Information - [GET /custody/v1/Accounts/OnchainInfo](https://splendid-zebra-99.redocly.app/api/pages/rest/bitcoinsuisseopenapi/accounts/listonchaininfo.md): List all onchain information associated with the accounts of the customer selected using the customer-number header Note: the blockchain addresses provided in the API response are for informational purposes only. Do not deposit directly to them. For making deposits, please use the deposit instructions provided through your Bitcoin Suisse Online Account ### Get Onchain Information For Account - [GET /custody/v1/Accounts/OnchainInfo/{accountId}](https://splendid-zebra-99.redocly.app/api/pages/rest/bitcoinsuisseopenapi/accounts/getonchaininfo.md): Get onchain information for a single account by its account ID Note: the blockchain addresses provided in the API response are for informational purposes only. Do not deposit directly to them. For making deposits, please use the deposit instructions provided through your Bitcoin Suisse Online Account ## HistoricalPortfolioValue ### Get Historical Portfolio Value - [GET /custody/v1/HistoricalPortfolioValue](https://splendid-zebra-99.redocly.app/api/pages/rest/bitcoinsuisseopenapi/historicalportfoliovalue/gethistoricalportfoliovalue.md): Get the total portfolio value for a customer over a specified time range ## Trading Accounts ### List Accounts - [GET /trading/api/v3/Accounts](https://splendid-zebra-99.redocly.app/api/pages/rest/bitcoinsuisseopenapi/trading-accounts/getaccounts.md): Get (trading) account information including metadata, balances and reservations ## Trading Configuration ### Get Configuration - [GET /trading/api/v3/Configuration](https://splendid-zebra-99.redocly.app/api/pages/rest/bitcoinsuisseopenapi/trading-configuration/gettradingconfiguration.md): Get the trading status data ## Trading Instruments ### List Instruments - [GET /trading/api/v3/Instruments](https://splendid-zebra-99.redocly.app/api/pages/rest/bitcoinsuisseopenapi/trading-instruments/listinstruments.md) ## Market Data ### Get Market Data - [GET /trading/api/v3/MarketData](https://splendid-zebra-99.redocly.app/api/pages/rest/bitcoinsuisseopenapi/market-data/getmarketdata.md): Get top of book market data ### Get Historic Market Data - [GET /trading/api/v3/MarketData/HistoricMarketData](https://splendid-zebra-99.redocly.app/api/pages/rest/bitcoinsuisseopenapi/market-data/gethistoricmarketdata.md): Get market data for a point in time in the past ## Trading Orders ### Place Order - [POST /trading/api/v3/Orders](https://splendid-zebra-99.redocly.app/api/pages/rest/bitcoinsuisseopenapi/trading-orders/createtradingorder.md): Place a new order, this endpoint is used for all supported order types ### List Orders - [GET /trading/api/v3/Orders](https://splendid-zebra-99.redocly.app/api/pages/rest/bitcoinsuisseopenapi/trading-orders/listtradingorders.md): Get status of all orders, can be filtered using optional query params ### Cancel Order - [DELETE /trading/api/v3/Orders](https://splendid-zebra-99.redocly.app/api/pages/rest/bitcoinsuisseopenapi/trading-orders/canceltradingorder.md): Besides the required properties, either an orderId or a clientOrderId must be provided to cancel an order ### Get Order - [GET /trading/api/v3/Orders/{id}](https://splendid-zebra-99.redocly.app/api/pages/rest/bitcoinsuisseopenapi/trading-orders/gettradingorder.md): Provide either an orderId or a clientOrderId to get details about the order ### Request For Quote - [POST /trading/api/v3/Orders/QuoteRequest](https://splendid-zebra-99.redocly.app/api/pages/rest/bitcoinsuisseopenapi/trading-orders/createtradingquote.md): Create a quote that is valid for a short amount of time ## Public ### Lists performance data - [GET /staking/v5/operatingUnits/{operatingUnit}/stakingRewardData](https://splendid-zebra-99.redocly.app/api/pages/rest/bitcoinsuisseopenapi/public/getstakingrewarddata.md): Lists staking performance data from StakingRewards.com along with our own validator's performance. This endpoint requires no Authentication. ## Staking Orders ### List Staking Orders - [GET /staking/v5/stakingOrders](https://splendid-zebra-99.redocly.app/api/pages/rest/bitcoinsuisseopenapi/staking-orders/getstakingorders.md): The purpose of this endpoint is to return a status regarding the customer's active staking orders, i.e. how much money is waiting to stake, how much is currently staking and how much is in the process of exiting staking. ### Create Staking Order - [PUT /staking/v5/stakingOrders/{id}](https://splendid-zebra-99.redocly.app/api/pages/rest/bitcoinsuisseopenapi/staking-orders/putstakingorder.md) ### Get Staking Order - [GET /staking/v5/stakingOrders/{id}](https://splendid-zebra-99.redocly.app/api/pages/rest/bitcoinsuisseopenapi/staking-orders/getstakingorder.md) ## Staking Accounts ### List Staking Accounts - [GET /staking/v5/stakingAccounts](https://splendid-zebra-99.redocly.app/api/pages/rest/bitcoinsuisseopenapi/staking-accounts/getstakingaccounts.md) ### GetStakingAccount - [GET /staking/v5/stakingAccounts/{accountNumber}](https://splendid-zebra-99.redocly.app/api/pages/rest/bitcoinsuisseopenapi/staking-accounts/getstakingaccount.md) ### Update Payout Account - [PATCH /staking/v5/stakingAccounts/{stakingAccountNumber}](https://splendid-zebra-99.redocly.app/api/pages/rest/bitcoinsuisseopenapi/staking-accounts/patchstakingaccount.md): Please be aware that not all products allow you to choose a payout account of all account types. What is supported can be seen by supportedPayoutAccountTypes on the product. ## Staking Products ### List Staking Products - [GET /staking/v5/products](https://splendid-zebra-99.redocly.app/api/pages/rest/bitcoinsuisseopenapi/staking-products/getproducts.md) ## Staking Rewards ### List Staking Rewards - [GET /staking/v5/stakingRewards](https://splendid-zebra-99.redocly.app/api/pages/rest/bitcoinsuisseopenapi/staking-rewards/getstakingrewards.md): The staking account is used to calculate the reward distribution, but isn't always the destination account. This depends on the configured payout account. ### Get Staking Reward - [GET /staking/v5/stakingRewards/{id}](https://splendid-zebra-99.redocly.app/api/pages/rest/bitcoinsuisseopenapi/staking-rewards/getstakingreward.md) ## TradingApi ### /trading/api/account/getaccountstatement - [POST /trading/api/account/getaccountstatement](https://splendid-zebra-99.redocly.app/api/pages/rest/bitcoinsuisseopenapi/tradingapi/paths/~1trading~1api~1account~1getaccountstatement/post.md) ### /trading/api/account/getaccountstatementsforclient - [POST /trading/api/account/getaccountstatementsforclient](https://splendid-zebra-99.redocly.app/api/pages/rest/bitcoinsuisseopenapi/tradingapi/paths/~1trading~1api~1account~1getaccountstatementsforclient/post.md) ## Reports ### Create Account Orders Statement - [POST /reporting/api/v1/accountordersstatement](https://splendid-zebra-99.redocly.app/api/pages/rest/bitcoinsuisseopenapi/reports/createaccountordersstatement.md): Starts Orders Statement creation. Provides overview on orders. ### Get Account Orders Statement - [GET /reporting/api/v1/accountordersstatement/{reportId}](https://splendid-zebra-99.redocly.app/api/pages/rest/bitcoinsuisseopenapi/reports/getaccountordersstatement.md): Gets Orders Statement. Provides overview on orders. ### Create Account Statement - [POST /reporting/api/v1/accountstatement](https://splendid-zebra-99.redocly.app/api/pages/rest/bitcoinsuisseopenapi/reports/createaccountstatement.md): Starts Account Statement creation. Provides overview on transactions per account. ### Get Account Statement - [GET /reporting/api/v1/accountstatement/{reportId}](https://splendid-zebra-99.redocly.app/api/pages/rest/bitcoinsuisseopenapi/reports/getaccountstatement.md): Gets Account Statement. Provides overview on transactions per account. ### Create Balance Statement - [POST /reporting/api/v1/balancestatement](https://splendid-zebra-99.redocly.app/api/pages/rest/bitcoinsuisseopenapi/reports/createbalancestatement.md): Starts Balance Statement creation. Provides overview on balance at given date. ### Get Balance Statement - [GET /reporting/api/v1/balancestatement/{reportId}](https://splendid-zebra-99.redocly.app/api/pages/rest/bitcoinsuisseopenapi/reports/getbalancestatement.md): Gets Balance Statement. Provides overview on balance at given date. ### Create Exchange Rates Statement - [POST /reporting/api/v1/exchangeratesstatement](https://splendid-zebra-99.redocly.app/api/pages/rest/bitcoinsuisseopenapi/reports/createexchangeratesstatement.md): Starts Exchange Rates Statement creation. Provides overview of exchange rates. ### Get Exchange Rates Statement - [GET /reporting/api/v1/exchangeratesstatement/{reportId}](https://splendid-zebra-99.redocly.app/api/pages/rest/bitcoinsuisseopenapi/reports/getexchangeratesstatement.md): Gets Exchange Rates Statement. Provides overview of exchange rates. ### Create Guarantee Statement - [POST /reporting/api/v1/guaranteestatement](https://splendid-zebra-99.redocly.app/api/pages/rest/bitcoinsuisseopenapi/reports/createguaranteestatement.md): Starts Guarantee Statement creation. Informs on funds backed by bank guarantee and segregated custody. ### Get Guarantee Statement - [GET /reporting/api/v1/guaranteestatement/{reportId}](https://splendid-zebra-99.redocly.app/api/pages/rest/bitcoinsuisseopenapi/reports/getguaranteestatement.md): Gets Guarantee Statement. Informs on funds backed by bank guarantee and segregated custody. ### Create Staking Rewards Statement - [POST /reporting/api/v1/stakingrewardsstatement](https://splendid-zebra-99.redocly.app/api/pages/rest/bitcoinsuisseopenapi/reports/createstakingrewardsstatement.md): Starts Staking Rewards Statement creation. Provides overview on staking rewards collected. ### Get Staking Rewards Statement - [GET /reporting/api/v1/stakingrewardsstatement/{reportId}](https://splendid-zebra-99.redocly.app/api/pages/rest/bitcoinsuisseopenapi/reports/getstakingrewardsstatement.md): Gets Staking Rewards Statement. Provides overview on staking rewards collected. ## Loan Report ### List Borrowing Reports - [GET /loans/v1/report/borrow](https://splendid-zebra-99.redocly.app/api/pages/rest/bitcoinsuisseopenapi/loan-report/getborrowloanreport.md): Get list of loan reports where specified client is borrower ### List Lending Reports - [GET /loans/v1/report/lend](https://splendid-zebra-99.redocly.app/api/pages/rest/bitcoinsuisseopenapi/loan-report/getlendloanreport.md): Get list of loan reports where specified client is lender